Package ghidra.app.cmd.label

# Class AddUniqueLabelCmd

java.lang.Object
ghidra.app.cmd.label.AddUniqueLabelCmd

All Implemented Interfaces:
  `Command`

@Deprecated public class AddUniqueLabelCmd extends Object implements Command
Deprecated.
The need for this class is now unnecessary since duplicate labels are permitted
Command to add a label. If the label already exists somewhere else, the address is appended to make it unique.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddUniqueLabelCmd(Address address, String name, Namespace namespace, SourceType source)`
  Deprecated.
  Constructs a new command for adding a label.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applyTo(DomainObject obj)`
  Deprecated.
  Applies the command to the given domain object.
  `String`
  `getName()`
  Deprecated.
  Returns the name of this command.
  `Symbol`
  `getNewSymbol()`
  Deprecated.
  Returns the newly created symbol.
  `String`
  `getStatusMsg()`
  Deprecated.
  Returns the status message indicating the status of the command.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddUniqueLabelCmd

    public AddUniqueLabelCmd(Address address, String name, Namespace namespace, SourceType source)
    Deprecated.
    Constructs a new command for adding a label.
    Parameters:
      `address` - address where the label is to be added.
      `name` - name of the new label. A null name will cause a default label be added.
      `namespace` - the namespace of the label. (i.e. the namespace this label is associated with)
      `source` - the source of this symbol

- ## Method Details

  - ### applyTo

    public boolean applyTo(DomainObject obj)
    Deprecated.
    Description copied from interface: `Command`
    Applies the command to the given domain object.
    Specified by:
      `applyTo` in interface `Command`
    Parameters:
      `obj` - domain object that this command is to be applied.
    Returns:
      true if the command applied successfully
    See Also:
      - `Command.applyTo(ghidra.framework.model.DomainObject)`

  - ### getStatusMsg

    public String getStatusMsg()
    Deprecated.
    Description copied from interface: `Command`
    Returns the status message indicating the status of the command.
    Specified by:
      `getStatusMsg` in interface `Command`
    Returns:
      reason for failure, or null if the status of the command was successful
    See Also:
      - `Command.getStatusMsg()`

  - ### getName

    public String getName()
    Deprecated.
    Description copied from interface: `Command`
    Returns the name of this command.
    Specified by:
      `getName` in interface `Command`
    Returns:
      the name of this command
    See Also:
      - `Command.getName()`

  - ### getNewSymbol

    public Symbol getNewSymbol()
    Deprecated.
    Returns the newly created symbol.
    Returns:
      the newly created symbol